Retrieve a VICAL signer
Roles
Analytics Events
/v1/ecosystems/certificates/vical-signers/{vicalSignerId}Retrieves a VICAL signer.
Analytic events
- ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_RETRIEVE_START
- ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_RETRIEVE_SUCCESS
- ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the VICAL signer.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/ecosystems/certificates/vical-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateFingerprint": "string", "certificateData": { "commonName": "string", "country": "string", "notAfter": "2019-08-24T14:15:22Z", "notBefore": "2019-08-24T14:15:22Z" }, "caId": "24c00dcc-a2d5-4635-ba3f-14dcbc0a8ea3", "intermediateCaId": "c04f6eaa-7183-4dfc-a249-59f9e8b2ddde"}How would you rate this page?
Retrieve all VICAL signers GET
Retrieves all VICAL signers. ### **Analytic events** * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_RETRIEVE_LIST_START * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_RETRIEVE_LIST_SUCCESS * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_RETRIEVE_LIST_FAIL
Update a VICAL signer PUT
Updates a VICAL signer by: - Providing a VICAL Signer Certificate (VSC) in PEM format that matches its Certificate Signing Request (CSR). - Activating or deactivating the VICAL signer. Only VICAL signers with a valid `certificatePem` can be activated. - The `certificatePem` field becomes immutable after it's updated for the first time. <Callout> Only available in implementations using unmanaged (external) DTS root CA certificates. </Callout> ### **Analytic events** * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_UPDATE_START * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_UPDATE_SUCCESS * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_UPDATE_FAIL